/***************************************************************************

  output.h

  The object file creator

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __OUTPUT_H
#define __OUTPUT_H

#include "table.h"



typedef
  struct {
    SYMBOL sym;
    long value;
    }
  OUTPUT_SYMBOL;

enum
{
  CD_PROPERTY_ID          = 1,
  CD_METHOD_ID            = 2,
  CD_STATIC_PROPERTY_ID   = 3,
  CD_STATIC_METHOD_ID     = 4,
  CD_CONSTANT_ID          = 5,
  CD_EVENT_ID             = 6
};


PUBLIC void OUTPUT_do(void);
PUBLIC char *OUTPUT_get_file(char *file);

#endif


