/*

  CError.c

  classe native Error

*/

#define __CERROR_C

#include "common.h"
#include "class.h"

#include "gambas.h"
#include "gambas_api.h"

#include "Object.h"
#include "String.h"

#include "CError.h"


BEGIN_PROPERTY(error_code)

  GB_ReturnInt(ERROR_code);

END_PROPERTY


PUBLIC GB_DESC NATIVE_Error[] =
{
  GB_DECLARE("Error", 0), GB_VIRTUAL_CLASS(),

  GB_STATIC_PROPERTY_READ("Code", "i", error_code),

  GB_END_DECLARE
};


/*!---------

\HELP
c-error
class

\IN
native

\TITLE
Error

\TYPE
Static

\DESC:fr
Cette classe statique permet de rcuprer des informations pousses
sur la dernire erreur survenue.

\REMARK:fr
Les objets de cette classe ne peuvent tre instancis.

----------*/



