/***************************************************************************

  debug.h

  What are we going to debug ?

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __DEBUG_H
#define __DEBUG_H

/* Dbogage du rfrencement des objets */
#define DEBUG_REF      0
/* Dbogage du pcode */
#define DEBUG_PCODE    0
/* Dbogage de la pile et des registres */
#define DEBUG_STACK    0
/* Suivi du chargement des classes */
#define DEBUG_LOAD     0
/* Dbogage des allocations */
#define DEBUG_ALLOC    0
/* Dbogage de la gestion d'erreurs */
#define DEBUG_ERROR    0
/* Dbogage des vnements */
#define DEBUG_EVENT    0

#endif
