/***************************************************************************

  project.h

  Project loader

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __PROJECT_H
#define __PROJECT_H

typedef
  struct {
    char *command;
    void (*func)();
    }
  PROJECT_COMMAND;

#ifndef __PROJECT_C
EXTERN char *PROJECT_path;
EXTERN char *PROJECT_exec_path;
EXTERN char *PROJECT_name;
EXTERN char *PROJECT_startup;
EXTERN int PROJECT_argc;
EXTERN char **PROJECT_argv;
#endif

PUBLIC void PROJECT_init(char *exec, char *file);
PUBLIC void PROJECT_exit(void);

#endif
