/***************************************************************************

  CFile.c

  The File class

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __CFILE_H
#define __CFILE_H

#include "gambas.h"

#include "value.h"
#include "stream.h"
#include "Object.h"

typedef
  struct {
    OBJECT object;
    STREAM stream;
  }
  CFILE;

#ifndef __CFILE_C
extern GB_DESC NATIVE_File[];
extern CFILE *CFILE_in;
extern CFILE *CFILE_out;
extern CFILE *CFILE_err;
#endif

#define CFILE_STREAM(_cfile) (&((CFILE *)_cfile)->stream)

PUBLIC CFILE *CFILE_new(void);

PUBLIC void CFILE_init(void);

#endif
