/*

  buffer.h
  
  Gestion d'un buffer de chaines
  
*/

#ifndef _BUFFER_H
#define _BUFFER_H

typedef
  struct {
    long length;
    long max;
    }
  BUFFER;


#define BUFFER_INC 256

PUBLIC void BUFFER_create(void *p_data);
PUBLIC void BUFFER_delete(void *p_data);
PUBLIC boolean BUFFER_load_file(void *p_data, const char *name);
PUBLIC long BUFFER_add(void *p_data, void *string, size_t len);
PUBLIC boolean BUFFER_need(void *p_data, long size);

PUBLIC long BUFFER_length(void *data);


#endif
