/***************************************************************************

  CContainer.h

  The Container class

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __CCONTAINER_H
#define __CCONTAINER_H

#include <qobjcoll.h>

#include "gambas.h"

#include "CWidget.h"

#ifndef __CCONTAINER_CPP

extern GB_DESC CContainerDesc[];
extern GB_DESC CChildrenDesc[];

#else

#define THIS QWIDGET(_object)
#define THIS_CONTAINER (((CCONTAINER *)_object)->container)

#endif

/*
GB_FUNC_METHOD CCONTAINER_first, CCONTAINER_next;
GB_FUNC_PROPERTY CCONTAINER_count, CCONTAINER_children;
*/

#endif
