/***************************************************************************

  CImage.h

  The Image class

  (c) 2000-2001 Benot Minisini <gambas@freesurf.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __CIMAGE_H
#define __CIMAGE_H

#include "gambas.h"

#include "CWidget.h"
#include "CPicture.h"

#ifndef __CIMAGE_C
extern GB_DESC CImageDesc[];
#endif

typedef
  struct {
    CWIDGET widget;
    CPICTURE *picture;
    }
  CIMAGE;


#define QLABEL(object) ((QLabel *)((CWIDGET *)object)->widget)

#define WIDGET ((QLabel *)((CWIDGET *)_object)->widget)
#define THIS ((CIMAGE *)_object)

#define CIMAGE_PROPERTIES CWIDGET_PROPERTIES \
  ",Picture,Stretch,Alignment,Border"

#endif
